package cn.com.ctop.callback.controller;

import cn.com.ctop.callback.util.HttpUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.Map;

@Controller
public class CallbackController {
    private Logger logger = LoggerFactory.getLogger(CallbackController.class);


    private static String callbackUrl = "http://api.tjyourong.com.cn/jeecg-boot/kuaishou";

    @ExceptionHandler({Exception.class})
    public String exception(Exception e) {
        e.printStackTrace();
        return e.getMessage();
    }

    @RequestMapping(value = "/kuaishou", method = RequestMethod.GET)
    @ResponseBody
    public String kuaishou(HttpServletRequest request, HttpServletResponse response, @RequestParam("auth_code") String authCode, @RequestParam("state") String state) {
        String result = null;
        try {
            //JSONObject json = JSONObject.parseObject(state);
           /* if (json == null) {
                throw new Exception("回调信息为空");
            }*/
            System.err.println("auth_code:" + authCode);
            Map<String, Object> map = new HashMap<>();
            map.put("auth_code", authCode);
            map.put("state", state);
            result = HttpUtils.httpGet(callbackUrl, map, null);
        } catch (Exception e) {
            e.printStackTrace();
            result = e.getMessage();
        }
        return result;
    }
}
